# $line-template(5)

[Home] [Commands] [Variables] [Macro-Dev] [Glossary]

## NAME

$line-template - Command line regular expression search string

## SYNOPSIS

$line-template "string"; Default is ""

## DESCRIPTION

$line-template defines a regular expression search string used to identify a line number in the grep(3) and compile(3) buffers. The format of the string is the same as magic mode search strings (see search-forward(2)).

## EXAMPLE

The line number may be considered to contain any numeric number, thus $line-template is defined as:

    set-variable $line-template "[0-9]+"

This correctly identifies "45" in the following *grep* output example:

    foo.c: 45:      printf("hello world\n") ;

## SEE ALSO

$file-template(5), compile(3), get-next-line(2), grep(3), search-forward(2).

(c) Copyright JASSPA 2009
Last Modified: 2009/08/29
Generated On: 2009/10/12

</HMTL>